[Home]LicenseCompatibility

LinuxCNCKnowledgeBase | RecentChanges | PageIndex | Preferences | LinuxCNC.org

This page is intended to summarize which software licenses are compatible, or incompatible with LinuxCNC, who has said so, and why. It is intended as an aid to developers to judge whether a given software package can be included freely in LinuxCNC, or under which conditions.

LinuxCNC is compatible with software licensed as:

Licensecompatible with LinuxCNCjustificationreference
GPLv3no?? link to irc message, archived mail etc
Mozilla?? ?
LGPL?? ?
LGPL 2.1 license (static linking permitted)?? ?
LGPLv3+?? ?
BSD?? ?
MIT?? ?
Apache 2.0?? ?

Please add license types and comments as appropriate.

Notes

I have no idea what the page http://wiki.linuxcnc.org/cgi-bin/wiki.pl?License is for, and what it applies to. Maybe someone can clarify.


LinuxCNCKnowledgeBase | RecentChanges | PageIndex | Preferences | LinuxCNC.org
This page is read-only. Follow the BasicSteps to edit pages. | View other revisions
Last edited July 22, 2012 7:28 am by MichaelHaberler (diff)
Search:
Published under a Creative Commons License